Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454432 - Review Request: libcmpiutil - Utility library for CIM providers
Summary: Review Request: libcmpiutil - Utility library for CIM providers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review
Version: 5.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Daniel Berrange
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 13:39 UTC by Daniel Veillard
Modified: 2010-01-12 11:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-12 11:52:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Daniel Veillard 2008-07-08 13:39:51 UTC
Spec URL: http://veillard.com/libvirt/5.3/libcmpiutil.spec
SRPM URL: http://veillard.com/libvirt/5.3/src/libcmpiutil-0.4-1.el5.src.rpm
Description: 
Libcmpiutil is a library of utility functions for CMPI providers.
The goal is to reduce the amount of repetitive work done in
most CMPI providers by encapsulating common procedures with more
"normal" APIs.  This extends from operations like getting typed
instance properties to standardizing method dispatch and argument checking.

Comment 1 Daniel Veillard 2008-07-08 13:42:28 UTC
The only doubt I have is whether this should be
ExclusiveArch: i386 x86_64 ia64
or not. This is used only by libvirt-cim which is available
only on those arches. Since the library might be used by more
software for non-virtualization providers I decided to not
limit the arches.

Daniel

Comment 2 Daniel Veillard 2008-07-08 13:43:26 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=445605

Daniel

Comment 3 Daniel Riek 2008-07-15 18:24:53 UTC
What is this component? It is not planned for 5.3:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u3ApprovedPackages

Comment 4 Daniel Riek 2008-07-15 18:34:40 UTC
Sorry I was confused. It *IS* on that list.

Comment 5 Daniel Berrange 2008-09-15 09:15:12 UTC
Original Fedora review ticket:

https://bugzilla.redhat.com/show_bug.cgi?id=387261

Comment 6 Daniel Berrange 2008-09-15 09:42:42 UTC
Successfully builds into binary RPMs for me. Passes rpmlint with no errors. Complies with Fedora packaging guidelines & licensing requirements.

=> Approved


Note You need to log in before you can comment on or make changes to this bug.